/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

@font-face{
  font-family: "WildWolf";
  src: url(/ressources/fonts/Wild_Wolf.ttf);
  /* Source : https://www.dafont.com/fr/wild-wolf.font */
}

@font-face{
  font-family: "WolfStar";
  src: url(/ressources/fonts/Wolfstar.ttf);
  /* Source : https://www.dafont.com/fr/wolfstar.font */
}

@font-face{
  font-family: "Heaters";
  src: url(/ressources/fonts/Heaters.otf);
  /* Source : https://www.dafont.com/fr/heaters.font */
}

body {
  background-image: url(/ressources/backgrounds/background.jpg);
  /* Source : https://rare-gallery.com/5430197-forest-night-moon-pixel-art-scenery-digital-art.html */
  background-attachment: fixed;
  color: white;
  font-family: Verdana,sans-serif;
  width:100%;
  margin:0;
  font-size:12px;
}

box {
  display:block;
  padding:1em;
  max-width:1000px;
  margin: 3em auto;
  background-color:black;
  opacity:95%;
  border-radius: 1em;
}

a{
  color:grey;
}

li{
  margin:0.5em;
}

header {
  font-family: WildWolf;
  font-size:2em;
  padding: 1em;
}

header *{
  margin:0;
  text-align: center;
}

footer{
  margin-top:1em;
}

footer *{
  margin: 0;
  text-align: center;
}

main {
  display:flex;
}

nav {
  font-size:2em;
  min-width:200px;
  padding:0 0.5em;
  font-family: Heaters;
  margin-top:1em;
}

nav #box{
  border:1px white solid;
  border-radius: 0.5em 0;
  margin:1em 0;
}

nav p{
  display:inline-flex;
  /*border-radius: 0 0.5em;
  border:1px white solid;*/
  margin:0 0 0 0.5em;
  padding:0.125em 0.5em;
  font-size:1.25em;
  position:relative;
  top:-0.75em;
  background-color: black;
}

nav a {
  display:inline-block;
  width:75%;
  margin-left:0.75em;
  padding-left:1em;
  color:white;
  text-decoration: none;
  top:-0.75em;
  position:relative;
}

nav a:hover{
  background-color:#390036ff;
  border-radius: 0.25em;
  background-size: contain;
}

nav a.howl:hover{background-image: url('/ressources/graphics/nav_buttons_howl.webp');}
nav a.star:hover{background-image: url('/ressources/graphics/nav_buttons_star.webp');}
nav a.moon:hover{background-image: url('/ressources/graphics/nav_buttons_moon.webp');}
nav a.tape:hover{background-image: url('/ressources/graphics/nav_buttons_tape.webp');}
nav a.paw:hover{background-image: url('/ressources/graphics/nav_buttons_paw.webp');}

content{
  padding:0 1em;
}

section h1{
  margin:0;
  font-family: WildWolf;
}

section #info{
  margin:0 0 1em;
  font-style: italic;
  text-align: right;
}

section quote{
  display:block;
  font-style:italic;
  margin-left:1em;
  border-left:2px white solid;
  padding:1em;
}